AquamapsRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class AquamapsRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.AquamapsRecord

All Implemented Interfaces:
  Serializable

    public class AquamapsRecord

extends BaseRecord

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AquamapsRecord.AquamapsSubType`

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`AquamapsRecord()`

Method Summary
`AquamapsRecord.AquamapsSubType` | `getAquamapsSubtype()`
`String` | `getHspecId()`
`String` | `getObjectID()`
`long` | `getSpeciesCount()`
`String` | `getTitle()`
`String` | `getType()`
`boolean` | `isGis()`
`void` | `setAquamapsSubtype(AquamapsRecord.AquamapsSubType aquamapsSubtype)`
`void` | `setGis(boolean gis)`
`void` | `setHspecId(String hspecId)`
`void` | `setObjectID(String objectID)`
`void` | `setSpeciesCount(long speciesCount)`
`void` | `setTitle(String title)`
`void` | `setType(String type)`

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AquamapsRecord

    public AquamapsRecord()

Method Detail

### getObjectID

    public String getObjectID()

### setObjectID

    public void setObjectID(String objectID)

### getAquamapsSubtype

    public AquamapsRecord.AquamapsSubType getAquamapsSubtype()

### setAquamapsSubtype

    public void setAquamapsSubtype(AquamapsRecord.AquamapsSubType aquamapsSubtype)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getType

    public String getType()

### setType

    public void setType(String type)

### getSpeciesCount

    public long getSpeciesCount()

### setSpeciesCount

    public void setSpeciesCount(long speciesCount)

### isGis

    public boolean isGis()

### setGis

    public void setGis(boolean gis)

### getHspecId

    public String getHspecId()

### setHspecId

    public void setHspecId(String hspecId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.